#!/bin/bash

KUBE_FEATURE_BRANCHES=`kubectl get po -n ${APP_NAME} -l "app.kubernetes.io/name=${APP_NAME}" -o jsonpath="{.items[*].metadata.labels['app\.kubernetes\.io/instance']}"`

GIT_BRANCHES=`git fetch origin && git branch --list --remote | sed 's/  origin\///g'`

for kube_branch in $KUBE_FEATURE_BRANCHES; do
  echo "Checking branch ${kube_branch}"
  git_branch_still_exists=false
  for git_branch in $GIT_BRANCHES; do
    if [ "${git_branch}" == "feature/${kube_branch}" ]; then
      git_branch_still_exists=true
      echo "Git branch ${git_branch} still exists, instance ${kube_branch} will not be deleted."
    fi
  done
  if [ "${git_branch_still_exists}" = false ]; then
    echo "Git branch corresponding to instance ${kube_branch} has been deleted, deleting instance..."
    kubectl delete all,ingressroute,pvc,pv -n ${APP_NAME} -l app.kubernetes.io/instance=${kube_branch}
  fi
done
